(*=====================================================================*)
(*                                                                     *)
(*          Run-time Code Generation Library for Objective Caml        *)
(*                                                                     *)
(*                   Dmitri Lomov (dsl@tepkom.ru)                      *)
(*              St-Petersburg State University, Russia                 *)
(*                                                                     *)
(*=====================================================================*)    

(* $Id: eval.mli,v 1.1.1.1 2002/02/28 11:11:01 mitya Exp $ *)

(** Module [Eval] contains primitives for code evaluation. **)

open Rtcg

val eval : ('a -> 'b) code -> ('a -> 'b)
(** Evaluate given code to obtain a function. **)

exception Arguquoting
(** Raised by [eval] if arguquoting occurs **)

val set_unsafe : bool -> unit
(** Set code generation mode to safe or unsafe.
  In safe mode, no bounds checking for arrays or strings
  is peformed. This is equivalent to [ocamlc] ``[-unsafe]'' parameter. 
  
  Default mode is safe. **)

